Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002428TestLinkRequirement Managementpublic2009-04-24 02:152017-03-02 21:26
Reporterda7489 
Assigned To 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusacknowledgedResolutionopen 
PlatformOSOS Version
Product Version1.8.1 
Fixed in Version 
Summary0002428: Create requirement spec printout word format
DescriptionJust like we've option for Test Plan/Reports to be exported into Microsoft Word, it'll be great to have similar option for the requirements to be exported in a Word format. Right now the requirements can only be exported in csv & xml format. It'll be a perfect feature to have as then we can export the requirements in a human readable and common format which can then be sent out to the rest of the project's stakeholders.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE 7/8
PHP Version5.2+
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0002434closedasimon Problem with printing Requirement Specification for a child node 
child of 0007083new Mantis Issues proposed to be closed 

-  Notes
(0006571)
fman (administrator)
2009-04-24 16:47

Export is not the right word IMHO, you want to create a document with requirements.

exports are done to share information between systems, not to display it to users (IMHO)
(0006583)
da7489 (reporter)
2009-04-24 22:57

You are right fman. Create a document is the right word..
I hope this feature will be added soon :)
(0006586)
da7489 (reporter)
2009-04-24 23:51

Basically we're looking to capture all the requirements under one parent tree (incl. all children) in a word document.
(0006614)
mhavlat (reporter)
2009-04-27 16:25

There is confusing button 'print' which generate HTML page.
TODO modify the name to 'Generate document'.

Is it correct my impression that it generates just one level of requirements but not all child suites?
(0006617)
fman (administrator)
2009-04-27 16:47

is not an impression is a fact, all req features need to be refactore to manage hierarchy.
What was done on 1.8.0, was enable possibility to manage in a limited way this hierarchy.
(0006619)
mhavlat (reporter)
2009-04-27 16:52

Ok. I will add a note to User guide for 1.8.
Child printing should be fixed within 1.9. Added target release.
(0006634)
da7489 (reporter)
2009-04-27 20:19

As fman said, it just prints one level of requirements. None of the child requirements are printed. I've already raised a separate bug for this http://www.testlink.org/mantis/view.php?id=2434 [^]
I think both the issues can be fixed together.

With this new feature, we should be able to create/print a spec in word format that includes all the chlidren under one parent tree.
(0006641)
mhavlat (reporter)
2009-04-27 21:09

Summary:
2434 is related to generate ndepth document.
This request is asking possibility to call msword to receive the document. I can acknowledge this. I have prepared functionality for test plan/report to be reused also for SRS. So, it should not be too difficult.

I was confused that you choose severity for bug instead of feature.
(0006667)
da7489 (reporter)
2009-04-29 00:36

Thx mhavlat for acknowledging this bug. Can you confirm if this bug will also be fixed as part of the 1.9 release or will it be fixed before that?
(0026059)
Mr.Bricodage (updater)
2017-03-02 21:24

Feature exists in TestLink 1.9.16 :
in Requirements Box -> Generate Requirement Specification Document (Pseudo MS Word)

Should be closed

- Issue History
Date Modified Username Field Change
2009-04-24 02:15 da7489 New Issue
2009-04-24 02:15 da7489 Browser => IE 7/8
2009-04-24 02:15 da7489 PHP Version => 5.2+
2009-04-24 16:47 fman Note Added: 0006571
2009-04-24 16:48 fman Summary Exporting the requirements to Microsoft Word => (Exportingthe requirements to Microsoft Word) Create requirement spec printout word format
2009-04-24 22:57 da7489 Note Added: 0006583
2009-04-24 23:51 da7489 Note Added: 0006586
2009-04-27 16:25 mhavlat Note Added: 0006614
2009-04-27 16:25 mhavlat Status new => feedback
2009-04-27 16:25 mhavlat Severity major => feature request
2009-04-27 16:47 fman Note Added: 0006617
2009-04-27 16:52 mhavlat Note Added: 0006619
2009-04-27 20:19 da7489 Note Added: 0006634
2009-04-27 21:01 mhavlat Relationship added related to 0002434
2009-04-27 21:09 mhavlat Note Added: 0006641
2009-04-27 21:09 mhavlat Status feedback => acknowledged
2009-04-27 21:09 mhavlat Summary (Exportingthe requirements to Microsoft Word) Create requirement spec printout word format => Create requirement spec printout word format
2009-04-29 00:36 da7489 Note Added: 0006667
2017-03-02 21:24 Mr.Bricodage Note Added: 0026059
2017-03-02 21:26 Mr.Bricodage Relationship added child of 0007083



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker